Bug 69055 - Check behavior of border attribute with a large number
Summary: Check behavior of border attribute with a large number
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Kent Tamura
URL:
Keywords:
Depends on: 68981
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 18:42 PDT by Kent Tamura
Modified: 2011-10-21 01:23 PDT (History)
1 user (show)

See Also:


Attachments
Patch (5.05 KB, patch)
2011-10-03 00:43 PDT, Kent Tamura
dbates: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2011-09-28 18:42:41 PDT
Bug 68981 exposed that we had never checked overflow of the attribute value.
Comment 1 Kent Tamura 2011-10-03 00:43:36 PDT
Created attachment 109448 [details]
Patch
Comment 2 Daniel Bates 2011-10-16 05:43:33 PDT
Comment on attachment 109448 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=109448&action=review

> LayoutTests/fast/dom/HTMLImageElement/image-with-invalid-border-expected.html:3
> +<p>Img elements with invalid border attribute should have the same appearnace with an img element without border attribute.</p>

appearnace => appearance

"with an" => "as an"

> LayoutTests/fast/dom/HTMLImageElement/image-with-invalid-border.html:3
> +<p>Img elements with invalid border attribute should have the same appearnace with an img element without border attribute.</p>

Ditto.

> LayoutTests/fast/dom/HTMLImageElement/image-with-invalid-border.html:5
> +<img src="resources/blue_rect.jpg" border=invalid>
> +<img src="resources/blue_rect.jpg" border=9999999999>

Nit: This is OK as-is. For your consideration, I suggest putting quotes around the attribute value for border so to be consistent with the quoting of the attribute value src. Throughout this patch there is an inconsistent quoting style for attribute values. I suggest choosing a style for consistency.

> LayoutTests/fast/dom/HTMLInputElement/input-with-invalid-border-expected.html:3
> +<p>Image input elements with invalid border attribute should have the same appearnace with an image input element without border attribute.</p>

Ditto.

> LayoutTests/fast/dom/HTMLInputElement/input-with-invalid-border.html:3
> +<p>Image input elements with invalid border attribute should have the same appearnace with an image input element without border attribute.</p>

Ditto.

> LayoutTests/fast/dom/HTMLObjectElement/object-with-invalid-border-expected.html:3
> +<p>Object elements with invalid border attribute should have the same appearnace with an object element without border attribute.</p>

Ditto.

> LayoutTests/fast/dom/HTMLObjectElement/object-with-invalid-border.html:3
> +<p>Object elements with invalid border attribute should have the same appearnace with an object element without border attribute.</p>

Ditto.
Comment 3 Kent Tamura 2011-10-21 01:19:58 PDT
Daniel, thank you for reviewing.  I'll follow your comments and land the patch.
Comment 4 Kent Tamura 2011-10-21 01:23:14 PDT
Committed r98083: <http://trac.webkit.org/changeset/98083>